2017-11-19 15:22 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001422Orfeo Toolbox (OTB)Generalpublic2017-10-03 12:08
Reportermickael 
Assigned Tombertolino 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSMacOSXOS Version10.11.6
Summary0001422: Optical Calibration application crash on MacOSX
DescriptionAn user (Peter) during the OTBUserDays have report a crash of the Optical calibration app on MacOSX.
The app fails when he used the TOC mode in the gui mode but not in command line and not with TOA mode.

When he run the app in Monteverdi, this crash generate a crash in Monteverdi.
Steps To ReproduceSelect an input image
define an output image
select the toc mode
Execute the app
The app crash
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0001405resolvedrashadkm Crash on optical calibration, TOC mode, GUI only (command line works), only on Mac 
+Relationships

-Notes

~0004332

mbertolino (developer)

The crash is due to a problem of the default stack size for QThread on OSX is unreasonably small.

the code fix:
https://git.orfeo-toolbox.org/otb.git/commit/02cb526827b8f75dd602c07d262423023d224114

There is also a patch Qt:
https://bugreports.qt.io/browse/QTBUG-49607

DONE : test the fix.
TODO : test the patch.

~0004342

mbertolino (developer)

The test of this patch : PASSED.

Add patch:
https://git.orfeo-toolbox.org/otb.git/commit/5b0897930b62008ba183c6318eaad0f7378074c2

Path modified:
https://git.orfeo-toolbox.org/otb.git/commit/c83ff9e03e4ea90adac4c1516c937dec11778525

Fixed only in GUI mode.
+Notes

-Issue History
Date Modified Username Field Change
2017-06-08 10:55 mickael New Issue
2017-06-12 08:48 grizonnetm Relationship added duplicate of 0001405
2017-09-21 10:38 mbertolino Assigned To => mbertolino
2017-09-21 10:38 mbertolino Status new => assigned
2017-09-21 10:38 mbertolino Status assigned => confirmed
2017-09-25 11:28 mbertolino Note Added: 0004332
2017-10-03 12:08 mbertolino Note Added: 0004342
2017-10-03 12:08 mbertolino Status confirmed => resolved
2017-10-03 12:08 mbertolino Resolution open => fixed
+Issue History